ChartDirector Ver 5.0 (PHP Edition)

VectorLayer.setVectorMargin

Usage

setVectorMargin(startMargin [, endMargin ])

Description

Sets the margins to shorten the vectors.
By default, vectors will be drawn from the given start points to the given end points.
In some cases, it may be desirable to shorten the vectors so that they do not start exactly at the start points and/or end exactly at the end points. For example, the vectors may be used to point to some circular symbols created by a ScatterLayer. The vectors may need to point to the perimeter of the circles, rather than their centers. This can be achieved by shortening the vectors by the radius of the circles.

Arguments

Argument | Default | Description
--- | --- | ---
startMargin | (Mandatory) | The length to shorten at the start of the vector in pixels.
endMargin | NoValue | The length to shorten at the end of the vector in pixels. NoValue means the length is the same as startMargin.

Return Value

None

© 2009 Advanced Software Engineering Limited. All rights reserved.